Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Participant.Dtmf

    java.lang.Object
      java.lang.Enum<Participant.Dtmf>
          com.skype.api.Participant.Dtmf

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Participant.Dtmf>

Enclosing class:
  Participant

    public static enum Participant.Dtmf

extends java.lang.Enum<Participant.Dtmf>
implements EnumConverting

Enum Constant Summary
`DTMF_0`
`DTMF_1`
`DTMF_2`
`DTMF_3`
`DTMF_4`
`DTMF_5`
`DTMF_6`
`DTMF_7`
`DTMF_8`
`DTMF_9`
`DTMF_POUND`
`DTMF_STAR`

Field Summary
`static int` | `DTMF_0_VALUE`
`static int` | `DTMF_1_VALUE`
`static int` | `DTMF_2_VALUE`
`static int` | `DTMF_3_VALUE`
`static int` | `DTMF_4_VALUE`
`static int` | `DTMF_5_VALUE`
`static int` | `DTMF_6_VALUE`
`static int` | `DTMF_7_VALUE`
`static int` | `DTMF_8_VALUE`
`static int` | `DTMF_9_VALUE`
`static int` | `DTMF_POUND_VALUE`
`static int` | `DTMF_STAR_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Participant.Dtmf` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Participant.Dtmf` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Participant.Dtmf[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DTMF_0

    public static final Participant.Dtmf DTMF_0

### DTMF_1

    public static final Participant.Dtmf DTMF_1

### DTMF_2

    public static final Participant.Dtmf DTMF_2

### DTMF_3

    public static final Participant.Dtmf DTMF_3

### DTMF_4

    public static final Participant.Dtmf DTMF_4

### DTMF_5

    public static final Participant.Dtmf DTMF_5

### DTMF_6

    public static final Participant.Dtmf DTMF_6

### DTMF_7

    public static final Participant.Dtmf DTMF_7

### DTMF_8

    public static final Participant.Dtmf DTMF_8

### DTMF_9

    public static final Participant.Dtmf DTMF_9

### DTMF_STAR

    public static final Participant.Dtmf DTMF_STAR

### DTMF_POUND

    public static final Participant.Dtmf DTMF_POUND

Field Detail

### DTMF_0_VALUE

    public static final int DTMF_0_VALUE

See Also:
  Constant Field Values

### DTMF_1_VALUE

    public static final int DTMF_1_VALUE

See Also:
  Constant Field Values

### DTMF_2_VALUE

    public static final int DTMF_2_VALUE

See Also:
  Constant Field Values

### DTMF_3_VALUE

    public static final int DTMF_3_VALUE

See Also:
  Constant Field Values

### DTMF_4_VALUE

    public static final int DTMF_4_VALUE

See Also:
  Constant Field Values

### DTMF_5_VALUE

    public static final int DTMF_5_VALUE

See Also:
  Constant Field Values

### DTMF_6_VALUE

    public static final int DTMF_6_VALUE

See Also:
  Constant Field Values

### DTMF_7_VALUE

    public static final int DTMF_7_VALUE

See Also:
  Constant Field Values

### DTMF_8_VALUE

    public static final int DTMF_8_VALUE

See Also:
  Constant Field Values

### DTMF_9_VALUE

    public static final int DTMF_9_VALUE

See Also:
  Constant Field Values

### DTMF_STAR_VALUE

    public static final int DTMF_STAR_VALUE

See Also:
  Constant Field Values

### DTMF_POUND_VALUE

    public static final int DTMF_POUND_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Participant.Dtmf[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Participant.Dtmf c : Participant.Dtmf.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Participant.Dtmf valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Participant.Dtmf get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.